Package org.eclipse.emf.cdo.common.lob

## Interface CDOLobHandler

- All Known Subinterfaces:
    `CDOServerImporter.Handler`, `CDOServerImporter.Handler2`

      public interface CDOLobHandler

  A callback interface for handling large objects.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.OutputStream` | `handleBlob​(byte[] id, long size)` | A callback method for handling a `binary large object`.
    `java.io.Writer` | `handleClob​(byte[] id, long size)` | A callback method for handling a `character large object`.

- - ### Method Detail

    - #### handleBlob

          java.io.OutputStream handleBlob​(byte[] id,
                                          long size)
                                   throws java.io.IOException

      A callback method for handling a `binary large object`. The `ID` and `size` of the blob are passed by the caller. The implementor may return a `stream` that the blob content will be written to by the caller of this method, or `null` to indicate that the content is not needed.
      Throws:
        `java.io.IOException`

    - #### handleClob

          java.io.Writer handleClob​(byte[] id,
                                    long size)
                             throws java.io.IOException

      A callback method for handling a `character large object`. The `ID` and `size` of the blob are passed by the caller. The implementor may return a `writer` that the blob content will be written to by the caller of this method, or `null` to indicate that the content is not needed.
      Throws:
        `java.io.IOException`